ALTER TABLE HIERARCHY 
    ADD CONSTRAINT HIERARCHY_ARTEFACT_FK FOREIGN KEY 
    ( 
     H_ID
    ) 
    REFERENCES ARTEFACT 
    ( 
     ART_ID
    ) 
;
ALTER TABLE HIERARCHY 
    ADD CONSTRAINT HIERARCHY_HCL_FK FOREIGN KEY 
    ( 
     HCL_ID
    ) 
    REFERENCES HCL 
    ( 
     HCL_ID
    ) 
    ON DELETE CASCADE 
;
